ChangeSet 1.781.39.1, 2002/10/17 23:21:37-07:00, greg@kroah.com

Cset exclude: david-b@pacbell.net|ChangeSet|20021015071026|11647


diff -Nru a/drivers/base/core.c b/drivers/base/core.c
--- a/drivers/base/core.c	Fri Oct 18 14:43:27 2002
+++ b/drivers/base/core.c	Fri Oct 18 14:43:27 2002
@@ -54,7 +54,7 @@
  */
 static int found_match(struct device * dev, struct device_driver * drv)
 {
-	int error;
+	int error = 0;
 
 	if (!(error = probe(dev,get_driver(drv)))) {
 		pr_debug("bound device '%s' to driver '%s'\n",
@@ -64,7 +64,7 @@
 		put_driver(drv);
 		dev->driver = NULL;
 	}
-	return error == 0;
+	return error;
 }
 
 /**
@@ -75,9 +75,7 @@
  * This function is used as a callback to bus_for_each_drv.
  * It calls the bus's match callback to check if the driver supports
  * the device. If so, it calls the found_match() function above to 
- * try taking care of all the details.
- *
- * Returns zero (to continue the scan) if the driver didn't attach.
+ * take care of all the details.
  */
 static int do_device_attach(struct device_driver * drv, void * data)
 {
